Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.segments.create({
name: 'Campaign openers',
description: 'Users who opened a specific campaign in the last 14 days',
filters: {
activity: [{
action: 'opened',
channel: 'email',
mode: 'within',
unit: 'days',
amount: 14,
campaignId: 'CAMPAIGN_ID'
}]
},
projectId: 'PROJECT_ID'
});curl --request POST \
--url https://api.migma.ai/v1/segments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"projectId": "<string>",
"description": "<string>",
"filters": {
"tags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"customFields": {},
"fields": [
{
"key": "<string>",
"values": [
"<string>"
],
"mode": "is"
}
],
"activity": [
{
"channel": "email",
"amount": 4380,
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"campaignId": "<string>"
}
]
}
}
'import requests
url = "https://api.migma.ai/v1/segments"
payload = {
"name": "<string>",
"projectId": "<string>",
"description": "<string>",
"filters": {
"tags": ["<string>"],
"excludeTags": ["<string>"],
"customFields": {},
"fields": [
{
"key": "<string>",
"values": ["<string>"],
"mode": "is"
}
],
"activity": [
{
"channel": "email",
"amount": 4380,
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"campaignId": "<string>"
}
]
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"filters": {
"tags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"customFields": {},
"fields": [
{
"key": "<string>",
"values": [
"<string>"
],
"mode": "is"
}
],
"activity": [
{
"channel": "email",
"amount": 4380,
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"campaignId": "<string>"
}
]
},
"count": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Create Segment
Create a new segment with optional filters. Requires API key with audience:write.
POST
/
v1
/
segments
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.segments.create({
name: 'Campaign openers',
description: 'Users who opened a specific campaign in the last 14 days',
filters: {
activity: [{
action: 'opened',
channel: 'email',
mode: 'within',
unit: 'days',
amount: 14,
campaignId: 'CAMPAIGN_ID'
}]
},
projectId: 'PROJECT_ID'
});Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Body
application/json
Was this page helpful?
⌘I